NSRRETRIEVE(8)

NAME
nsrretrieve - retrieve NetWorker archive save sets

SYNOPSIS

nsrretrieve [ -fnqu ] [ -i {nNyYrR} ] [ -d destination ]
[ -s server ] { [ -S ssid[/cloneid] ]...
[ -A annotation ]... } [ path ... ]

DESCRIPTION
nsrretrieve is used to restore archive save sets from a NetWorker server. No browsing is available via nsrretrieve. Use of nsrretrieve is restricted to listed administrators and users of an archive client resource. See the nsr_client(5) man page for further details. When not running as root, only the files that the user owns can be retrieved.

When no path arguments are specified, the entire save set contents will be retrieved. To restrict the archive save set retrieval to only particular directories or files matching a given path prefix, exact matching path's can be specified to limit which directories and files are retrieved.

OPTIONS

-A annotation
    The annotation is a regular expression which uniquely identifies a single archive save set. See nsrarchive(8). The regular expression is as used by grep(1). At least one annotation or ssid (see below) must be specified.

-S ssid[/cloneid]
    The ssid specifies the save set IDs for the save sets to be retrieved. When there are multiple clone instances for an archive save set, you can specify the cloneid to select the particular clone instance to be retrieved. At least one annotation (see above) or ssid must be specified.

-d destination
    Specifies the destination directory to relocate retrieved files.

-s server
    Selects which NetWorker server to use.

-q  The nsrretrieve command normally runs with verbose output. This flag turns off the verbose output.

-f  Indicates that retrieved files will overwrite existing files whenever a name conflict occurs.

-n  Does not actually create any directories or files while retrieving.

-i {nNyYrR}
    Specifies the initial default overwrite response to use when retrieving files and the file already exists. You may specify only one letter. This option is the same as the uasm -i option when running in recover mode. See the uasm(8) man page for a detailed explanation of this option.

-u  Stop when an error occurs during retrieval. Normally, nsrretrieve treats errors as warnings and tries to continue to retrieve the rest of the files requested. However, when this option is used, nsrretrieve will stop recovering on the first error it encounters.

SEE ALSO
grep(1), nsrarchive(8), nsr_client(5), nsr_service(5), nsr(8), nsrd(8), uasm(8).

DIAGNOSTICS

  Exit Codes
0   Normal exit. This means that all of the requested data was successfully retrieved.
<>0 Abnormal exit.

  Messages

The nsrretrieve command reports invalid options by printing a ``usage'' message describing the available options.

Cannot contact media database on server
This message indicates that some problem was encountered connecting to the NetWorker server on the named machine.

cannot retrieve backup save sets
cannot retrieve migration save sets
The nsrretrieve command can only be used to restore archive save set data.

cannot find unique annotation
The specified annotation either matched zero, or more than one archive save set.